<?PHP
/**
 * Class containing available types for actor name variants. E.g. birth names,
 * married names, etc.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available types for actor name variants. E.g. birth names,
 * married names, etc.
 */
final class MDActorVariantTypesSet extends MDValueSet {

    public const ACTOR_VARIANT_TYPES = [
        '',
        'birth_name',
        'civil_name',
        'married_name',
        'monastic_name',
        'pseudonym',
        'regnal_name',
        'nickname',
        'artist_name',
        'generic_other_name',
    ];

    /**
     * Returns a translated list of name variants.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getActorVariantTypesTLed(MDTlLoader $tlLoader):array {
        return parent::getTlUnsortedList($tlLoader, self::ACTOR_VARIANT_TYPES, "actor_variant_types_set", "actor_variant_types_set");

    }
}
