<?PHP
/**
 * Contains a class for controlling the list of available contributor types
 * to appointment / event.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available contributor roles.
 */
final class MDAppointmentContributorsSet extends MDValueSet {

    public const AVAILABLE_ROLES = [
        'organizer',
        'presenter',
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::AVAILABLE_ROLES, "appointment_contributor_roles", "appointment_contributor_roles");

    }
}
