<?PHP
/**
 * Contains a class of available types of closer locations.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available types of closer locations.
 */
final class MDCloserLocationTypesSet extends MDValueSet {

    public const CLOSER_LOCATION_TYPES = [
        "0", // ''
        "1", // Place of recording
        "2", // Place of finding
        "3", // Previous place
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::CLOSER_LOCATION_TYPES, "closer_location_types_set", "closer_location_types_set");

    }
}
