<?PHP
/**
 * Contains a class of available conservation report types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing static functions for getting available conservation report types.
 */
final class MDConservationReportTypeSet extends MDValueSet {

    public const REPORT_TYPES = [
        'damage',
        'conservation',
        'condition',
        'restoration',
        'other',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {

        return parent::getTlSortedList($tlLoader, self::REPORT_TYPES, "conservation_report_type_set", "conservation_report_type_set");

    }
}
