<?PHP
/**
 * Contains a class for controlling the list of available currencies.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available currencies.
 */
final class MDCurrenciesSet extends MDValueSet {

    public const CURRENCIES = [
        '',
        'by-BYN',
        'ch-CHF',       // Swiss Franc
        'ddr-Mark',
        'ddr-MDN',
        'de-DM',
        'de-RM',
        'es-Real',
        'eu-EUR',
        'fr-FF',
        'id-IDR',
        'hu-Ft',
        'hu-Lari',
        'hu-Pengő',
        'hu-Korona',
        'pl-Złoty',
        'ru-RUB',
        'su-SUR',
        'ua-UAH',
        'ua-UAK',
        'uk-GBP',
        'us-USD',
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::CURRENCIES, "currencies_set", "currencies_set");

    }
}
