<?PHP
/**
 * Contains a class for listing possible ways of disposing objects.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Contains a class for listing possible ways of disposing objects.
 */
final class MDDisposalMethodSet extends MDValueSet {

    public const METHODS = [
        '',
        'sold',
        'destroyed',
        'garbage',
    ];

    /**
     * Gets an unsorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getUnsortedList(MDTlLoader $tlLoader):array {
        return parent::getTlUnsortedList($tlLoader, self::METHODS, "disposal_method_set", "disposal_method_set");

    }

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::METHODS, "disposal_method_set", "disposal_method_set");

    }
}
