<?PHP
/**
 * Contains a class for controlling the list of available contributor types
 * to exhibitions.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available contributor roles.
 */
final class MDExhibitionContributorsSet extends MDValueSet {

    public const AVAILABLE_ROLES = [
        'concept',
        'curator',
        'design',
        'coordinator',
        'protagonist',
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::AVAILABLE_ROLES, "exhibition_contributor_roles", "exhibition_contributor_roles");

    }
}
