<?PHP
/**
 * Contains a list of types of loans.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Contains a list of types of loans.
 */
final class MDLoanTypesSet extends MDValueSet {

    public const DEFAULT_LOAN_TYPE = 'outgoing';

    public const LOAN_TYPES = [
        'outgoing',
        'incoming',
    ];

    /**
     * Gets an unsorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getUnsortedList(MDTlLoader $tlLoader):array {
        return parent::getTlUnsortedList($tlLoader, self::LOAN_TYPES, "loan_types", "loan_types");

    }

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::LOAN_TYPES, "loan_types", "loan_types");

    }
}
