<?PHP
/**
 * Contains a class for controlling the list of available marking types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available marking types.
 */
final class MDMarkingTypesSet extends MDValueSet {

    public const MARKING_TYPES = [
        'signature',
        'engraving',
        'watermark',
        'scratch',
        'stamp',
        'overprint',
        'embossing',
        'embroidered',
        'handwritten',
        'screwed',
        'burnt_in',
        'riveted',
        'nailed',
        'punched',
        'hallmarked',
        'scarified',
        'cast',
        'sewn',
        'glued',
        'painted',
        'drawn',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::MARKING_TYPES, "marking_types", "marking_types");

    }
}
