<?PHP
/**
 * Describes an interface for a measurement units.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Describes an interface for a measurement units.
 */
interface MDMeasurementUnitInterface {
    /**
     * Returns the measurement calculated down to the base unit (e.g. mm for lengths).
     *
     * @param float $value Measurement value.
     *
     * @return float
     */
    public function convertToBaseUnit(float $value):float;
}
