<?PHP
/**
 * Contains a class for listing the possible forms for objects.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Contains a class for listing the possible forms for objects.
 */
final class MDObjectFormSet extends MDValueSet {

    public const FORMS = [
        '',
        'cube',
        'cuboid',
        'sphere',
        'cone',
        'cylinder',
    ];

    /**
     * Gets an unsorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getUnsortedList(MDTlLoader $tlLoader):array {
        return parent::getTlUnsortedList($tlLoader, self::FORMS, "object_form_set", "object_form_set");

    }

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::FORMS, "object_form_set", "object_form_set");

    }
}
