<?PHP
/**
 * Contains a class for controlling the list of available positions on an object.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available positions on an object.
 */
final class MDObjectPositionsSet extends MDValueSet {

    public const POSITIONS = [
        'front_front',
        'left', 'top_left', 'top', 'top_right', 'right', 'bottom_right', 'bottom', 'bottom_left', 'center',
        'rear_side',
        'rear_left', 'rear_top_left', 'rear_top', 'rear_top_right', 'rear_right', 'rear_bottom_right', 'rear_bottom', 'rear_bottom_left', 'rear_center',
        'underside', 'topside',
        'edge', 'inside', 'other',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::POSITIONS, "position_set", "position_set");

    }
}
