<?PHP
/**
 * Contains a class for controlling the list of available marking types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available marking types.
 */
final class MDObjectPublicationBackgrounds extends MDValueSet {

    public const PUBLICATION_BACKGROUNDS = [
        '0', // Image published
        '1', // Transcript published
        '2', // Discussed
        '3', // Rezensiert
        '4', // Referenced
        '5', // Advertised
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::PUBLICATION_BACKGROUNDS, "object_publication_background", "object_publication_background");

    }
}
