<?PHP
/**
 * Contains a class for controlling the list of available place types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available place types.
 */
final class MDPlacetypesSet extends MDValueSet {

    public const PLACE_TYPE_IDS = [
        '0', // => Administrativ
        '1', // => Historisch
        '2', // => Region - Landschaft - Naturpark
        '3', // => Straße - Platz
        '4', // => Bauwerk - Gebäude - Stadtpark - Kanal
        '5', // => Berg - Gebirge
        '6', // => Wald - Forst
        '7', // => Fluss - See - Meer
        '8', // => Insel - Atoll
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::PLACE_TYPE_IDS, "placetypes", "tlPlacetypes");

    }
}
