<?PHP
/**
 * Contains a class for controlling the list of available contributor types
 * to podcasts.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available place types.
 */
final class MDPodcastContributorsSet extends MDValueSet {

    public const AVAILABLE_ROLES = [
        'onair',
        'organization',
        'recording',
        'technical_support',
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::AVAILABLE_ROLES, "podcast_contributor_roles", "podcast_contributor_roles");

    }
}
