<?PHP
/**
 * Contains a class for listing the possible types of internal processes in a museum.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Contains a class for listing the possible types of internal processes in a museum.
 */
final class MDProcessTypesSet extends MDValueSet {

    public const TYPES = [
        'project',
        'grant_application',
        'exhibition',
        'appointment',          // This is MD's internally used name for events at the museum
        'loan_incoming',
        'loan_outgoing',
        'employment_ad',
        'purchase',
        'deaccession',
        'construction',
        'pest_control_campaign',
        'pr_campaign',
        'relocation',
        'discussion',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::TYPES, "process_types", "process_types");

    }
}
