<?PHP
/**
 * Contains a class for controlling the list of available recording types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available recording types.
 */
final class MDRecordingTypesSet extends MDValueSet {

    public const DEFAULT_RECORDING_TYPE = 'audio';

    public const RECORDING_TYPES = [
        'audio',
        'video',
    ];

    /**
     * Gets a list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::RECORDING_TYPES, "recording_types_set", "recording_types_set");

    }
}
