<?PHP
/**
 * Research status.
 *
 * @see https://tools.ietf.org/html/rfc2426
 * @see https://tools.ietf.org/html/rfc6350
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available place types.
 */
final class MDResearchStatusSet extends MDValueSet {

    public const RESEARCH_STATUS = [
        'bad',
        'medium',
        'good',
    ];

    /**
     * Returns a translated list of research status.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getResearchStatusTLed(MDTlLoader $tlLoader):array {
        return parent::getTlUnsortedList($tlLoader, self::RESEARCH_STATUS, "research_status", "research_status");

    }
}
