<?PHP
/**
 * Contains a class of available space access status.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing static functions for getting available space access status on md.
 */
final class MDSpaceAccessStatusSet extends MDValueSet {

    public const STATUS = [
        'enter',
        'leave',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {

        return parent::getTlSortedList($tlLoader, self::STATUS, "space_access_status", "space_access_status");

    }
}
