<?PHP
/**
 * Contains a class of available space types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing static functions for getting available space types on md.
 */
final class MDSpaceTypesSet extends MDValueSet {

    public const TYPES = [
        'building',
        'floor',
        'depot',
        'utility_room',
        'office',
        'exhibition_room',
        'hallway',
        'display_cabinet',
        'shelf',
        'box',
        'folder',
        'outdoor_area',
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {

        return parent::getTlSortedList($tlLoader, self::TYPES, "space_types", "space_types");

    }
}
