<?PHP
/**
 * Contains a class for controlling the list of available marking types.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Class containing available marking types.
 */
final class MDTitleTypesSet extends MDValueSet {

    public const TITLE_TYPES = [
        "",
        "Science",
        "Everyday speech",
        "Colloquial speech",
        "Dialect",
        "Professional jargon",
        "Sociolect",
    ];

    /**
     * Gets a sorted list of the entries in a translated version.
     *
     * @param MDTlLoader $tlLoader Translation loader.
     *
     * @return array<string>
     */
    public static function getSortedList(MDTlLoader $tlLoader):array {
        return parent::getTlSortedList($tlLoader, self::TITLE_TYPES, "title_types_set", "title_types_set");

    }
}
