<?PHP
/**
 * Lists the types of functionalities for which app tokens can be used in musdb.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Sections of musdb for which alternative output formats are available,
 * that can be used with an app token.
 */
enum MDAppTokenSection {

    case webcal;
    case space_sensors;
    case space_sensors_dashboard;
    case general_stats_dashboard;

    /**
     * Lists all available names.
     *
     * @return array<string>
     */
    public static function caseNames():array {

        $output = [];

        $cases = self::cases();
        foreach ($cases as $case) {
            $output[] = $case->name;
        }

        return $output;

    }
}
